## org.eclipse.amp.amf.parameters.aPar
Interface AParPackage.Literals

Enclosing interface:
  AParPackage

    public static interface AParPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `IMPORT` The meta object literal for the '`Import`' class.
`static org.eclipse.emf.ecore.EAttribute` `IMPORT__IMPORT_URI` The meta object literal for the 'Import URI' attribute feature.
`static org.eclipse.emf.ecore.EClass` `INCORPORATES` The meta object literal for the '`Incorporates`' class.
`static org.eclipse.emf.ecore.EAttribute` `INCORPORATES__IMPORT_URI` The meta object literal for the 'Import URI' attribute feature.
`static org.eclipse.emf.ecore.EClass` `MODEL` The meta object literal for the '`Model`' class.
`static org.eclipse.emf.ecore.EReference` `MODEL__INCORPORATES` The meta object literal for the 'Incorporates' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `MODEL__MODEL` The meta object literal for the 'Model' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` `MODEL__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` `MODEL__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `PARAMETER` The meta object literal for the '`Parameter`' class.
`static org.eclipse.emf.ecore.EClass` `SINGLE_PARAMETER` The meta object literal for the '`Single Parameter`' class.
`static org.eclipse.emf.ecore.EReference` `SINGLE_PARAMETER__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature.
`static org.eclipse.emf.ecore.EReference` `SINGLE_PARAMETER__VALUE` The meta object literal for the 'Value' containment reference feature.
`static org.eclipse.emf.ecore.EClass` `SWEEP_LINK` The meta object literal for the '`Sweep Link`' class.
`static org.eclipse.emf.ecore.EReference` `SWEEP_LINK__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `SWEEP_PARAMETER` The meta object literal for the '`Sweep Parameter`' class.
`static org.eclipse.emf.ecore.EReference` `SWEEP_PARAMETER__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature.
`static org.eclipse.emf.ecore.EReference` `SWEEP_PARAMETER__END_VALUE` The meta object literal for the 'End Value' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `SWEEP_PARAMETER__INCREMENT` The meta object literal for the 'Increment' containment reference feature.
`static org.eclipse.emf.ecore.EReference` `SWEEP_PARAMETER__START_VALUE` The meta object literal for the 'Start Value' containment reference feature.

Field Detail

### MODEL

    static final org.eclipse.emf.ecore.EClass MODEL

  The meta object literal for the '`Model`' class.

  See Also:
    `ModelImpl`, `AParPackageImpl.getModel()`

### MODEL__NAME

    static final org.eclipse.emf.ecore.EAttribute MODEL__NAME

  The meta object literal for the 'Name' attribute feature.

### MODEL__MODEL

    static final org.eclipse.emf.ecore.EReference MODEL__MODEL

  The meta object literal for the 'Model' containment reference feature.

### MODEL__INCORPORATES

    static final org.eclipse.emf.ecore.EReference MODEL__INCORPORATES

  The meta object literal for the 'Incorporates' containment reference list feature.

### MODEL__PARAMETERS

    static final org.eclipse.emf.ecore.EReference MODEL__PARAMETERS

  The meta object literal for the 'Parameters' containment reference list feature.

### IMPORT

    static final org.eclipse.emf.ecore.EClass IMPORT

  The meta object literal for the '`Import`' class.

  See Also:
    `ImportImpl`, `AParPackageImpl.getImport()`

### IMPORT__IMPORT_URI

    static final org.eclipse.emf.ecore.EAttribute IMPORT__IMPORT_URI

  The meta object literal for the 'Import URI' attribute feature.

### INCORPORATES

    static final org.eclipse.emf.ecore.EClass INCORPORATES

  The meta object literal for the '`Incorporates`' class.

  See Also:
    `IncorporatesImpl`, `AParPackageImpl.getIncorporates()`

### INCORPORATES__IMPORT_URI

    static final org.eclipse.emf.ecore.EAttribute INCORPORATES__IMPORT_URI

  The meta object literal for the 'Import URI' attribute feature.

### PARAMETER

    static final org.eclipse.emf.ecore.EClass PARAMETER

  The meta object literal for the '`Parameter`' class.

  See Also:
    `ParameterImpl`, `AParPackageImpl.getParameter()`

### SINGLE_PARAMETER

    static final org.eclipse.emf.ecore.EClass SINGLE_PARAMETER

  The meta object literal for the '`Single Parameter`' class.

  See Also:
    `SingleParameterImpl`, `AParPackageImpl.getSingleParameter()`

### SINGLE_PARAMETER__ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference SINGLE_PARAMETER__ATTRIBUTE

  The meta object literal for the 'Attribute' reference feature.

### SINGLE_PARAMETER__VALUE

    static final org.eclipse.emf.ecore.EReference SINGLE_PARAMETER__VALUE

  The meta object literal for the 'Value' containment reference feature.

### SWEEP_PARAMETER

    static final org.eclipse.emf.ecore.EClass SWEEP_PARAMETER

  The meta object literal for the '`Sweep Parameter`' class.

  See Also:
    `SweepParameterImpl`, `AParPackageImpl.getSweepParameter()`

### SWEEP_PARAMETER__ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference SWEEP_PARAMETER__ATTRIBUTE

  The meta object literal for the 'Attribute' reference feature.

### SWEEP_PARAMETER__START_VALUE

    static final org.eclipse.emf.ecore.EReference SWEEP_PARAMETER__START_VALUE

  The meta object literal for the 'Start Value' containment reference feature.

### SWEEP_PARAMETER__END_VALUE

    static final org.eclipse.emf.ecore.EReference SWEEP_PARAMETER__END_VALUE

  The meta object literal for the 'End Value' containment reference feature.

### SWEEP_PARAMETER__INCREMENT

    static final org.eclipse.emf.ecore.EReference SWEEP_PARAMETER__INCREMENT

  The meta object literal for the 'Increment' containment reference feature.

### SWEEP_LINK

    static final org.eclipse.emf.ecore.EClass SWEEP_LINK

  The meta object literal for the '`Sweep Link`' class.

  See Also:
    `SweepLinkImpl`, `AParPackageImpl.getSweepLink()`

### SWEEP_LINK__PARAMETERS

    static final org.eclipse.emf.ecore.EReference SWEEP_LINK__PARAMETERS

  The meta object literal for the 'Parameters' containment reference list feature.